﻿using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using RhythmBullet.Zer01HD.UI;
using RhythmBullet.Zer01HD.Utilities.UI;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RhythmBullet.Zer01HD.Game
{
    class LoadingScreen : Screen
    {
        Texture2D recrown;
        public LoadingScreen(Texture2D recrown)
        {
            this.recrown = recrown;
        }

        public override void Draw(SpriteBatch spriteBatch)
        {
            spriteBatch.Draw(recrown, recrown.Bounds, Color.White);
            base.Draw(spriteBatch);
        }
    }
}
